# HyFI-Chain

[![pypi-image]][pypi-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![license-image]][license-url]
[![codecov][codecov-image]][codecov-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->
[codecov-image]: https://codecov.io/gh/entelecheia/hyfi-chain/branch/main/graph/badge.svg?token=rdfiKAmEr8
[codecov-url]: https://codecov.io/gh/entelecheia/hyfi-chain
[pypi-image]: https://img.shields.io/pypi/v/hyfi-chain
[license-image]: https://img.shields.io/github/license/entelecheia/hyfi-chain
[license-url]: https://github.com/entelecheia/hyfi-chain/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/hyfi-chain?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/hyfi-chain
[release-url]: https://github.com/entelecheia/hyfi-chain/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg

[repo-url]: https://github.com/entelecheia/hyfi-chain
[pypi-url]: https://pypi.org/project/hyfi-chain
[docs-url]: https://hyfi-chain.entelecheia.ai
[changelog]: https://github.com/entelecheia/hyfi-chain/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/hyfi-chain/blob/main/CONTRIBUTING.md
<!-- Links: -->

A wrapper library integrating LangChain's language model chaining with HyFI framework for building robust, scalable, and maintainable NLP applications.

- Documentation: [https://hyfi-chain.entelecheia.ai][docs-url]
- GitHub: [https://github.com/entelecheia/hyfi-chain][repo-url]
- PyPI: [https://pypi.org/project/hyfi-chain][pypi-url]

HyFI-Chain is a wrapper library that integrates the language model chaining capabilities of LangChain with the HyFI (Hydra Fast Interface) framework. It enables developers to build robust, scalable, and maintainable natural language processing (NLP) applications with ease.
By combining the power of LangChain's flexible language model chaining with HyFI's streamlined configuration and execution capabilities, HyFI-Chain simplifies the development process and allows developers to focus on the core logic of their NLP applications.
HyFI-Chain inherits the scaling capabilities of HyFI, enabling effortless scaling of NLP applications to handle larger workloads. It provides a solid foundation for exploring the possibilities of language model chaining and unlocking the potential of NLP in various domains.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [MIT License][license-url].
